# phpDox - Query\Drivers\Sqlite\Util::backupData

# Query\Drivers\Sqlite\Util::backupData

#### Create an SQL backup file for the current database's data

## Signature

`public function backupData([array $excluded = ] )`

## Parameters

`$excluded` — array

## Returns

string

## Parent Implementation

- `AbstractUtil`

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
32 - 97 | CamelCaseVariableName | The variable $_ is not named in camelCase.
77 | UnusedLocalVariable | Avoid unused local variables such as '$_'.